How to fix “error loading the preference bundle” on iOS 11

A lot of users are reporting a weird preference bundle error on iOS 11-11.1.2 firmware. Here’s how you can fix this error if you are running Electra toolkit on your iPhone, iPad, or iPod.

Why does “error loading the preference bundle” error occur?

This error is either related to inadequate permissions or missing dependencies. Although this error is easily fixable, things can get difficult when you are doing everything without Cydia.

Here’s how this error looks like.

Nine times out of ten, dependencies are the cause of this error. Cydia installs all dependencies of a jailbreak tweak automatically.

Since iOS 11 doesn’t currently run Cydia and you must install each one of them manually.

Here are a few methods you can try to fix this issue yourself.

Fixing “error loading the preference bundle” error

Method 1 – Give proper permissions

Step 1 Download the free iTerminal app from the official App Store. This will allow you to SSH into your device without a computer.

Step 2  Initiate an SSH session from its options.

iTerminal

Step 3 Input the following details –

  • Nickname – Enter anything here
  • IP Adress – Your device’s Wifi IPA address
  • Username – root
  • Password – alpine (this is the default password)

Step 4 Press Connect to start the SSH session. Once you get inside the terminal, enter the following command –

chmod 777 /bootstrap/Library/PreferenceBundles/<tweak name>.bundle/<tweak name>

Important – Be sure to enter spaces after “chmod” and “777”. If you don’t do so, the command will not work properly.

Step 5 Reboot your device and re-jailbreak it. Once you do so, all your tweak will start working again.

Method 2 – Install dependencies 

You must download the necessary dependencies for the tweak you want to install.

For example, Nudekeys Cydia tweak has libcolorpicker as its dependency. Apart from that, a lot of tweaks rely on AppList and RocketBootstrap.

cydia

If you don’t know where to find these Debian packages for dependencies, simply leave a comment below. I will upload them to Mega.nz as soon as possible.

Once you find which dependency you need to install, follow this installation tutorial.

Method 3 – Update Electra

Updating Electra to the latest version will automatically fix a lot of bugs or errors. The latest beta at the time of writing this article is beta 5. You can grab it from here.

If you are still experiencing this error, just leave a comment below.

For more jailbreak tutorials and guides, give us a thumbs up on Twitter and Facebook.

42 Comments

  1. Ricardo March 10, 2018
    • iOS Expert March 10, 2018
      • gurpret March 14, 2018
      • lefevre May 28, 2018
  2. Myshkin Kachroo March 8, 2018
    • iOS Expert March 9, 2018
  3. Hafiz February 28, 2018
    • iOS Expert February 28, 2018
  4. Micah February 19, 2018
    • tim July 9, 2018
  5. Shon February 19, 2018
    • iOS Expert February 19, 2018
      • Shon February 19, 2018
        • iOS Expert February 20, 2018
  6. Valentino February 14, 2018
  7. Alex February 14, 2018
    • iOS Expert February 14, 2018
  8. Dayton G February 9, 2018
    • iOS Expert February 9, 2018
  9. Chris January 22, 2018
    • iOS Expert January 23, 2018
  10. Tw January 19, 2018
    • iOS Expert January 19, 2018
  11. GoutiB January 18, 2018
    • iOS Expert January 19, 2018
  12. NuB Haze January 17, 2018
    • iOS Expert January 17, 2018
  13. Long January 17, 2018
    • iOS Expert January 17, 2018
      • Valentino January 25, 2018
  14. dashawn January 17, 2018
    • iOS Expert January 17, 2018
  15. Glen January 17, 2018
    • iOS Expert January 17, 2018
  16. Simran Mann January 17, 2018
  17. 404error January 17, 2018
  18. Kelly January 17, 2018
  19. Reinaldo January 17, 2018
    • Glen January 17, 2018
    • Ando Toomejõe January 17, 2018
      • Andrew January 17, 2018
      • Glen January 17, 2018

Leave a Reply

Share9
Tweet